Description

Would it be possible to instantiate RSB in Octave?

Subtasks:
Tasks # 892: Apply for GSoC 2012 with RSB Octave Support Rejected

History

#1-10/19/2011 01:11 PM - S. Wrede

We did a quick first test at the AMARSI hands-on workshop. @Juan: Could you probably attach your prototyping code to this issue?

#2 - 10/19/2011 04:27 PM - J. P. Carbajal
- File rsbOct _test.cpp added

Sure,
This is the file.
It is a dirty wrap of the C++ example. The file compiles with "mkoctfile" that ships with octave without warnings and works like a charm.

| can work on making a more or less usable interface as soon as there is a "hard" (as in hardware) motivation.

Details on Oct files are in the link, with some doc on the API. The doc is deprecated in certain parts but a new one is being cooked.
http://www.gnu.org/software/octave/doc/interpreter/Oct 002dFiles.html#Oct 002dFiles

JPi

#3 - 10/20/2011 02:56 PM - S. Wrede

Thanks for uploading it and giving the right pointers to the documentation! Would be great if we could continue this... See you soon on IRC, Seb

#4 - 02/16/2012 06:54 PM - J. P. Carbajal

Hi all,

I am still fighting with my thesis. Nevertheless, the people from Octave is trying for the GSoC 2012. Check here
http://octave.org/wiki/index.php?titte=GSoC Project Ideas

If we can add the development of an RSB package for Octave students may get some money to code for it.

Please contact me if anybody is interested.
Thanks

#5 - 02/17/2012 04:29 PM - S. Wrede

Dear Juan Pablo,

Thx for the suggestion. | really like the idea and think we should give it a try! | suppose, it could even help in the Octave application if we argue also a
bit from an application perspective (robotics and cognitive systems, possible integration with ROS?). Just in case: What would be the process? First,
we would need to submit a paragraph about the idea to the Octave Wiki, right?

@Arne: Would you volunteer to support this from our side?

Cheers,

Sebastian

#6 - 02/20/2012 12:01 PM - Anonymous

| would like to do that.

| will contact Juan Pablo regarding further action.

#7 - 07/27/2012 07:49 PM - J. P. Carbajal

Hi,

We have one good application to work on RSB via ESA summer of code.

Please contact em ASAP!!

Here is the proposal
http://wiki.octave.org/ESA Summer of Code in_Space#Andrius Sutas

We have to send answers by 31th July

#8 - 07/27/2012 07:50 PM - J. Wienke

Arne, can your respond to this as Sebastian is still on holidays.

#9 - 07/28/2012 12:23 AM - J. P. Carbajal

Hi guys,
Yet another proposal to work on an Octave - RSB interface. We will need a mentor from your side. If we do not get one person asingned to this the the
gropup will be reticent to accept the project because almost nobody will be able to help the students (I will but | am not really into RSB dev)

Here is the link to the proposal
http://wiki.octave.org/User:PWeclewski

Here more data
http://wiki.octave.org/ESA _Summer_of Code in_Space#Piotr W.C4.99clewski
#10 - 07/30/2012 05:49 PM - Anonymous

Hey Juan, thanks for pointing that out. Unfortunately | don't see how/where | can apply as a mentor there or what has to be done from our side. 3/

#11 - 12/22/2015 11:16 AM - J. Wienke
- Category set to Matlab
- Status changed from New to Rejected

| will reject this for now. There haven't been any requests for octave support since years. Please reopen if still required.

Files

rsbOct_test.cpp 2.9 KB 10/19/2011 J. P. Carbajal
